mipname = 'wallh'

section_lens = [602,259,692,371,361,805,708,1678,342,321,906,329,350,759,259,1087]
divide_factor = 40      # adjust as needed
wall = 0
num_sections = len(section_lens)
output_file = 'rioval.mrk'
count = 0

with open(output_file, 'w') as f:
    f.write('MARK_V1\n')
    for section in range(0,num_sections):
        subsections = int(section_lens[section] / divide_factor)
        increment = 1/subsections
        cur_start = 0
        for subsection in range(0,subsections):
            cur_end = cur_start + increment
            sec_name = 's'+str(section)+'p'+str(subsection)
            f.write(str(section)+' '+str(cur_start)+'\n')
            f.write(sec_name+': Boundary '+str(wall)+' "'+mipname+'" <127,0> - <0,15>"\n')
            f.write(str(section)+' '+str(cur_end)+'\n')
            f.write('End '+sec_name+'\n')
            cur_start = cur_end
            count += 1

print ('{} marks made'.format(count))
